Description

As far as I can tell, Nextdoor has no public API for reading posts, and you can't access them via web without an account -- which can

be nontrivial to obtain.

More critically, posts have been unaccountably disappearing from the local  Politics group I'm in; nobody is taking credit, but we

suspect the active admin (who identifies as "conservative" and does not appear to understand critical thinking) of removing them.

I'd like to be able to quickly archive discussions from this group, using a bookmarklet or whatever seems both reasonably easy to use

and reasonably easy to write.

The usage would be:

1. Navigate to a post

2. Click bookmarklet

3. Save post, comments, authors, and any other information that seems to be available in a single file (JSON is fine).

Timestamps are especially difficult to derive from the web UI -- so it would be a nice bonus if those turned up in the DOM, but I'm not

expecting it.

History

#1 - 09/16/2021 11:31 PM - Woozle Hypertwin

- Description updated

#2 - 09/17/2021 12:57 AM - Woozle Hypertwin

- Tracker changed from Bug to Feature

#3 - 09/18/2021 01:59 PM - Woozle Hypertwin

- File 2021-09-17 at 17-23-07.screen.Nextdoor sample post.png added

Attached is a screenshot of a sample post. Two post URLs which should be accessible for anyone logged in to Nextdoor:

https://nextdoor.com/p/PX_CCxNJgghM?view=detail

https://nextdoor.com/p/S7rdq4gz8RHR?view=detail

#4 - 09/19/2021 11:48 PM - Woozle Hypertwin

Basic functionality now working -- written as a plugin, due to restrictions in what can be done with a bookmarklet or within something like

TamperMonkey. I have created [[NDArchive]] for tracking work on the plugin.

#5 - 09/20/2021 12:09 AM - Woozle Hypertwin

- Status changed from New to Closed

- % Done changed from 0 to 100

Start of work discussion: https://discord.com/channels/381932342719152139/863085213538451466/889101143744081921

07/15/2025 1/2

https://nextdoor.com/p/PX_CCxNJgghM?view=detail
https://nextdoor.com/p/S7rdq4gz8RHR?view=detail
https://rm.vbz.net/projects/opennextdoor
https://discord.com/channels/381932342719152139/863085213538451466/889101143744081921


Files

2021-09-17 at 17-23-07.screen.Nextdoor sample post.png 354 KB 09/18/2021 Woozle Hypertwin

Powered by TCPDF (www.tcpdf.org)

07/15/2025 2/2

http://www.tcpdf.org

